Page MenuHomePhabricator

Notifications hangs at nowiki
Closed, ResolvedPublic

Description

Response header from the last request before the notifications start hanging and responded with an error

The actual error

TypeError: notifData.timestamp is undefined
https://no.wikipedia.org/w/extensions/Echo/modules/viewmodel/mw.echo.dm.NotificationsModel.js?54d1a
Line 491

Screendump

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.27.0-wmf.21Follow-up 1608a5e6fc: add hasOwnProperty check
mediawiki/extensions/Echo : wmf/1.27.0-wmf.22Follow-up 1608a5e6fc: add hasOwnProperty check
mediawiki/extensions/Echo : masterFollow-up 1608a5e6fc: add hasOwnProperty check

Event Timeline

jeblad created this task.Apr 27 2016, 9:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2016, 9:36 PM
jeblad updated the task description. (Show Details)Apr 27 2016, 9:43 PM

This is because there's code extending Array.prototype. I'll add a hasOwnProperty check shortly.

Change 285762 had a related patch set uploaded (by Catrope):
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285762

My extension, its used in two gadgets.

Change 285762 merged by jenkins-bot:
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285762

Change 285892 had a related patch set uploaded (by Catrope):
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285892

Change 285893 had a related patch set uploaded (by Catrope):
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285893

Change 285892 merged by jenkins-bot:
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285892

Change 285893 merged by jenkins-bot:
Follow-up 1608a5e6fc: add hasOwnProperty check

https://gerrit.wikimedia.org/r/285893

Mentioned in SAL [2016-04-28T03:03:28Z] <catrope@tin> Synchronized php-1.27.0-wmf.21/extensions/Echo: Fix T133817 (originally scheduled for SWAT) (duration: 00m 39s)

Mentioned in SAL [2016-04-28T03:04:02Z] <catrope@tin> Synchronized php-1.27.0-wmf.22/extensions/Echo: Fix T133817 (originally scheduled for SWAT) (duration: 00m 34s)

@jeblad This should be fixed now, can you verify?

Yes, it seems to be fixed

jeblad closed this task as Resolved.Apr 28 2016, 9:30 PM